Quality Management Webhooks
- OpenAPI Version:
3.1.1 - API Version:
1.0.0
Servers
- URL:
https://{your-endpoint-url}
Operations
quality_management.interaction_analysis_completed
- Method:
POST - Path:
quality_management.interaction_analysis_completed - Tags: Interactions
Zoom triggers this event after the Quality Management users interaction analysis is completed.
Prerequisites
- A Pro or higher plan.
- Enable Event Subscriptions for your Marketplace app with:
- A valid Event Notification Endpoint URL
- The Quality Management interaction analysis completed subscription must be enabled under the Quality Management event.
Request Body
Content-Type: application/json
event(required)string— The name of the event.event_ts(required)integer, format:int64— The timestamp at which the event occurred.payload(required)objectaccount_id(required)string— The account ID of the user who recorded the interaction.object(required)object— Information about the interaction.interaction_info(required)object— The interaction infomation.interaction_id(required)string— The interaction ID.agent_namestring— The agent name.associated_idsarray— The associated interaction IDs.Items: string— The associated interaction ID.channel_typestring, possible values:"VIDEO", "MANUAL", "SMS", "AUDIO", "WEB_CHAT"— The channel type.consumer_namestring— The consumer name.fromstring— The caller's phone number in E.164 format.tostring— The recipient's phone number in E.164 format.
crosstalk_event_countinteger— The count of crosstalk events.directionstring— The direction.dispositionstring— The disposition.durationinteger— The interaction duration in seconds.engagement_idstring— The engagement ID.hold_event_countinteger— The count of hold eventsprimary_languagestring— The primary language.queue_idstring— The ID of the queue.queue_namestring— The name of the queue.silence_event_countinteger— The count of silence eventsstart_timestring— The start time of the interaction.summaryobject— The summary information.engagement_scorenumber— The engagement score.evaluation_scorenumber— The evaluation score.sentiment_scorenumber— The sentiment score.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"object": {
"start_time": "",
"duration": 1,
"queue_id": "",
"queue_name": "",
"engagement_id": "",
"direction": "",
"disposition": "",
"silence_event_count": 1,
"crosstalk_event_count": 1,
"hold_event_count": 1,
"primary_language": "",
"interaction_info": {
"from": "",
"to": "",
"interaction_id": "",
"agent_name": "",
"consumer_name": "",
"channel_type": "VIDEO",
"associated_ids": [
""
]
},
"summary": {
"evaluation_score": 1,
"sentiment_score": 1,
"engagement_score": 1
}
}
}
}Responses
Status: 200 Successfully received the webhook event.
quality_management.evaluation_completed
- Method:
POST - Path:
quality_management.evaluation_completed - Tags: Interactions
Zoom triggers this event after the Quality Management user evaluation is completed.
Prerequisites
- A Pro or higher plan.
- Enable Event Subscriptions for your Marketplace app with:
- A valid Event Notification Endpoint URL
- The Quality Management evaluation completed subscription must be enabled under the Quality Management event.
Request Body
Content-Type: application/json
event(required)string— The name of the event.event_ts(required)integer, format:int64— The timestamp at which the event occurred.payload(required)objectaccount_id(required)string— The account ID of the user who recorded the interaction.object(required)object— Information about the interaction.evaluation_id(required)string— The evaluation's ID.agent_infoobject— The agent information.agent_user_idstring— The agent's user ID.display_namestring— The agent's name.
agent_user_idstring— The agent's ID.evaluation_scorenumber— The overall score of the evaluation, calculated based on the scorecard and answers.evaluation_score_rationumber— Score received by the agent, expressed as a ratio 0.00-1.00.evaluation_typestring, possible values:"MANUAL", "AUTOMATED"— Distinguish between automatic scoring and manual scoring.evaluator_user_idstring— The evaluator's ID.evaluators_infoarray— The evaluators' information.Items: display_namestring— The evaluator's name.evaluator_user_idstring— The evaluator's ID.
interaction_idstring— The interaction's ID.scorecard_namestring— The scorecard's name.scoring_formatstring— The scoring format of the scorecard.total_possible_scorenumber— the maximum possible score for this evaluation
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"object": {
"interaction_id": "",
"agent_user_id": "",
"evaluator_user_id": "",
"evaluation_id": "",
"agent_info": {
"agent_user_id": "",
"display_name": ""
},
"evaluators_info": [
{
"evaluator_user_id": "",
"display_name": ""
}
],
"scorecard_name": "",
"scoring_format": "",
"total_possible_score": 1,
"evaluation_score": 1,
"evaluation_score_ratio": 1,
"evaluation_type": "MANUAL"
}
}
}Responses
Status: 200 Successfully received the webhook event.
Schemas
Quality_management.interaction_analysis_completedEvent
- Type:
object
event(required)string— The name of the event.event_ts(required)integer, format:int64— The timestamp at which the event occurred.payload(required)objectaccount_id(required)string— The account ID of the user who recorded the interaction.object(required)object— Information about the interaction.interaction_info(required)object— The interaction infomation.interaction_id(required)string— The interaction ID.agent_namestring— The agent name.associated_idsarray— The associated interaction IDs.Items: string— The associated interaction ID.channel_typestring, possible values:"VIDEO", "MANUAL", "SMS", "AUDIO", "WEB_CHAT"— The channel type.consumer_namestring— The consumer name.fromstring— The caller's phone number in E.164 format.tostring— The recipient's phone number in E.164 format.
crosstalk_event_countinteger— The count of crosstalk events.directionstring— The direction.dispositionstring— The disposition.durationinteger— The interaction duration in seconds.engagement_idstring— The engagement ID.hold_event_countinteger— The count of hold eventsprimary_languagestring— The primary language.queue_idstring— The ID of the queue.queue_namestring— The name of the queue.silence_event_countinteger— The count of silence eventsstart_timestring— The start time of the interaction.summaryobject— The summary information.engagement_scorenumber— The engagement score.evaluation_scorenumber— The evaluation score.sentiment_scorenumber— The sentiment score.
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"object": {
"start_time": "",
"duration": 1,
"queue_id": "",
"queue_name": "",
"engagement_id": "",
"direction": "",
"disposition": "",
"silence_event_count": 1,
"crosstalk_event_count": 1,
"hold_event_count": 1,
"primary_language": "",
"interaction_info": {
"from": "",
"to": "",
"interaction_id": "",
"agent_name": "",
"consumer_name": "",
"channel_type": "VIDEO",
"associated_ids": [
""
]
},
"summary": {
"evaluation_score": 1,
"sentiment_score": 1,
"engagement_score": 1
}
}
}
}Quality_management.evaluation_completedEvent
- Type:
object
event(required)string— The name of the event.event_ts(required)integer, format:int64— The timestamp at which the event occurred.payload(required)objectaccount_id(required)string— The account ID of the user who recorded the interaction.object(required)object— Information about the interaction.evaluation_id(required)string— The evaluation's ID.agent_infoobject— The agent information.agent_user_idstring— The agent's user ID.display_namestring— The agent's name.
agent_user_idstring— The agent's ID.evaluation_scorenumber— The overall score of the evaluation, calculated based on the scorecard and answers.evaluation_score_rationumber— Score received by the agent, expressed as a ratio 0.00-1.00.evaluation_typestring, possible values:"MANUAL", "AUTOMATED"— Distinguish between automatic scoring and manual scoring.evaluator_user_idstring— The evaluator's ID.evaluators_infoarray— The evaluators' information.Items: display_namestring— The evaluator's name.evaluator_user_idstring— The evaluator's ID.
interaction_idstring— The interaction's ID.scorecard_namestring— The scorecard's name.scoring_formatstring— The scoring format of the scorecard.total_possible_scorenumber— the maximum possible score for this evaluation
Example:
{
"event": "",
"event_ts": 1,
"payload": {
"account_id": "",
"object": {
"interaction_id": "",
"agent_user_id": "",
"evaluator_user_id": "",
"evaluation_id": "",
"agent_info": {
"agent_user_id": "",
"display_name": ""
},
"evaluators_info": [
{
"evaluator_user_id": "",
"display_name": ""
}
],
"scorecard_name": "",
"scoring_format": "",
"total_possible_score": 1,
"evaluation_score": 1,
"evaluation_score_ratio": 1,
"evaluation_type": "MANUAL"
}
}
}